purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Pretty.Values

Description

Pretty printer for values

Synopsis

- prettyPrintValue :: Int -> Expr -> Box
- prettyPrintBinder :: Binder -> Text
- prettyPrintBinderAtom :: Binder -> Text

# Documentation

prettyPrintValue :: Int -> Expr -> Box #

Pretty-print an expression

prettyPrintBinder :: Binder -> Text #

Generate a pretty-printed string representing a Binder

prettyPrintBinderAtom :: Binder -> Text #